aboutsummaryrefslogtreecommitdiff
path: root/build.HP-UX
diff options
context:
space:
mode:
authorGuido G√ľnther <agx@sigxcpu.org>2009-01-08 15:39:24 +0100
committerGuido Guenther <agx@sigxcpu.org>2009-01-08 15:39:24 +0100
commit7bb8b22d8da0f6a398e2102a20d885d885339496 (patch)
tree94e1c50195604b3bd532cc703e90f9eb96e80d67 /build.HP-UX
import initial version
from https://www.sdn.sap.com/irj/scn/go/portal/prtroot/docs/library/uuid/dd6fc290-0201-0010-c190-86ce775d5673
Diffstat (limited to 'build.HP-UX')
-rwxr-xr-xbuild.HP-UX36
1 files changed, 36 insertions, 0 deletions
diff --git a/build.HP-UX b/build.HP-UX
new file mode 100755
index 0000000..d015f77
--- /dev/null
+++ b/build.HP-UX
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# $Id: build.HP-UX,v 1.2 1999/08/24 14:39:31 d019080 Exp $
+#
+OBJ=".o"
+CC="cc"
+CFLAGS="-Ae -g -DXDEBUG=1"
+RM="rm -f"
+EXE=""
+LD="$CC"
+LDFLAGS=""
+LDTARGET='-o $@'
+XD=""
+LDLIBS="-Wl,-a,default -lc -ldld"
+if [ -f /opt/langtools/lib/end.o ] ; then
+ # this is for shared library debugging on HP-UX (10.20) ...
+ LDLIBS="${LDLIBS} /opt/langtools/lib/end.o"
+fi
+SHEXT=".sl"
+SHFLAGS="+z"
+LINK_SHARED="ld +vshlibunsats +s -b"
+LINK_SHARED_END="-a default -lc"
+
+#VENLIB="-L/your/software/path +b /your/software/path -lgssapi"
+VENLIB="-L/sapmnt/hs0101/b/security/secude5.2/hp/lib.secude -lsecude"
+if [ "$VENLIB" = "" ] ; then
+ echo "***"
+ echo "*** Please edit $0 and define VENLIB to link your"
+ echo "*** GSS-API v2 shared library"
+ echo "***"
+ exit 1
+fi
+
+export OBJ CC CFLAGS RM EXE LDLIBS LD LDTARGET LDFLAGS XD
+export SHEXT SHFLAGS LINK_SHARED LINK_SHARED_END VENLIB
+"$@"